include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


##### executable

file( GLOB _bin_source_files RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.c
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
)
tde_add_library( ksquirrel-libs-png SHARED AUTOMOC
  SOURCES ${_bin_source_files}
  LINK ${ZLIB_LIBRARIES} ${MATH_LIBC}
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}
)
